<?php
/**
 * Plugin Name: Bitcoin Widget
 * Description: Show off in your website the bitcoin price in USD or EUR.
 * Version: 1.0
 */

class bitcoin_widget extends WP_Widget
{
    public function __construct()
    {
        parent::__construct('bitcoin_widget', __('Bitcoin Price Widget', 'bitcoin_widget'));
    }
    function form($instance)
    {
        if($instance)
        {
            $title = esc_attr($instance['title']);
            $checkbox_eur = esc_attr($instance['checkbox_eur']);
            $checkbox_usd = esc_attr($instance['checkbox_usd']);
        }
        else
        {
            $title = '';
            $checkbox_eur = '';
            $checkbox_usd = '';
        }
        ?>
        <p>
            <label for="<?php echo esc_attr( $this ->get_field_id('title'));?>"><?php _e('Title :', 'bitcoin_widget'); ?></label><br>
            <input id="<?php echo esc_attr($this -> get_field_id('title')) ?>" name="<?php echo esc_attr($this ->get_field_name('title')) ?>" type="text" value="<?php echo esc_attr($title);?>"/>
        </p>
        <p>
            <input id="<?php echo esc_attr( $this->get_field_id( 'checkbox_usd' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'checkbox_usd' ) ); ?>" type="checkbox" value="1" <?php checked( '1', $checkbox_usd ); ?> />
            <label for="<?php echo esc_attr( $this->get_field_id( 'checkbox_usd' ) ); ?>"><?php _e( 'Bitcoin to USD', 'bitcoin_widget' ); ?></label>
        </p>
        <p>
            <input id="<?php echo esc_attr( $this->get_field_id( 'checkbox_eur' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'checkbox_eur' ) ); ?>" type="checkbox" value="1" <?php checked( '1', $checkbox_eur ); ?> />
            <label for="<?php echo esc_attr( $this->get_field_id( 'checkbox_eur' ) ); ?>"><?php _e( 'Bitcoin to EUR', 'bitcoin_widget' ); ?></label>
        </p>
        <?php
    }
    function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['checkbox_usd'] = strip_tags($new_instance['checkbox_usd']);
        $instance['checkbox_eur'] = strip_tags($new_instance['checkbox_eur']);
        return $instance;
    }
    function widget($args, $instance)
    {
        $title = apply_filters('widget_title', empty( $instance['title']) ? __('Bitcoin Price Widget') : $instance['title']);
        echo $args['before_widget'];
        echo '<div>';
        echo $args['before_title'].$title.$args['after_title'];
        if($instance['checkbox_usd'] && $instance['checkbox_usd'] == '1')
        {
            echo '<iframe src="http://bitcoincasino.best/widgetusd" frameborder="0" scrolling="no" style="border:none;width:205px;min-height:112px;overflow: scroll"></iframe><div><a href="http://bitcoincasino.best/" title="Best bitcoin casino" target="_blank">Bitcoincasino.best</a></div>';
        }
        if($instance['checkbox_eur'] && $instance['checkbox_eur'] == '1')
        {
            echo '<iframe src="http://bitcoincasino.best/widgeteur" frameborder="0" scrolling="no" style="border:none;width:205px;min-height:112px;overflow: scroll"></iframe><div><a href="http://bitcoincasino.best/" title="Best bitcoin casino" target="_blank">Bitcoincasino.best</a></div>';
        }
        echo '</div>';
        echo $args['after_widget'];

    }
}

add_action('widgets_init', create_function('', 'return register_widget("bitcoin_widget");'));